/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Linear Regression</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.LinearRegression#getLinearRegression <em>Linear Regression</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getLinearRegression()
 * @model
 * @generated
 */
public interface LinearRegression extends MLAlgorithm
{
  /**
   * Returns the value of the '<em><b>Linear Regression</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Linear Regression</em>' attribute.
   * @see #setLinearRegression(String)
   * @see fr.istic.mML.MMLPackage#getLinearRegression_LinearRegression()
   * @model
   * @generated
   */
  String getLinearRegression();

  /**
   * Sets the value of the '{@link fr.istic.mML.LinearRegression#getLinearRegression <em>Linear Regression</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Linear Regression</em>' attribute.
   * @see #getLinearRegression()
   * @generated
   */
  void setLinearRegression(String value);

} // LinearRegression
